dns-3.0.4: DNS library in Haskell

Safe Haskell | None
Language | Haskell2010

Network.DNS.Encode

Contents

- Encoder
  - Encoder for Each Part

Description

Encoders for DNS.

Synopsis

- encode :: DNSMessage -> ByteString
- encodeResourceRecord :: ResourceRecord -> ByteString
- encodeDNSHeader :: DNSHeader -> ByteString
- encodeDNSFlags :: DNSFlags -> ByteString
- encodeDomain :: Domain -> ByteString
- encodeMailbox :: Mailbox -> ByteString

# Encoder

encode :: DNSMessage -> ByteString Source #

Encoding DNS query or response.

## Encoder for Each Part

encodeResourceRecord :: ResourceRecord -> ByteString Source #

Encoding resource record.

encodeDNSHeader :: DNSHeader -> ByteString Source #

Encoding DNS header.

encodeDNSFlags :: DNSFlags -> ByteString Source #

Encoding DNS flags.

encodeDomain :: Domain -> ByteString Source #

Encoding domain.

encodeMailbox :: Mailbox -> ByteString Source #

Encoding mailbox.